FETCH402
← Protocol index

Resource / 1017

skipped

CoinGecko.

Query onchain DEX token price & market data based on the provided token contract addresses on a network.

Eligibility
probeable
Failures
0
Last quote
Last probe
2026-08-13 06:15:00 UTC
Payment requirements / accepts[] 2 options
State Network Scheme Atomic amount Asset payTo / untrusted
active eip155:8453 exact 10000 0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913 0x110cdBba7FE6434Ec4CE3464CC523942ad6Fb784
active solana:5eykt4usfv8p8njdtrepy1vzqkqzkvdp exact 10000 EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v 8XhngTRitTcUJMiaDJ6azw8GRSiFPpwhnmV3HYQLHUpL

All advertised payment options are stored. Base (`eip155:8453`) is the operational network for ranking and canaries; non-Base options remain visible for transparency.

Probe evidence 1 recent
skipped 2026-08-13 06:15:00 UTC GET · accepts 0 · base 0 robots_disallow
Request
GET https://pro-api.coingecko.com/api/v3/x402/onchain/simple/networks/tron/token_price/TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8
Robots
disallow
Note
robots_disallow
Accepts fingerprint
4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945

Request headers

{
  "accept": "*/*",
  "user-agent": "Fetch402Bot/0.1 (+https://fetch402.com/crawler; contact: crawler@fetch402.com)"
}

Machine contract

Schemas.

InputJSON
{
  "method": "GET",
  "queryParams": {
    "include_24hr_price_change": true,
    "include_24hr_vol": true,
    "include_inactive_source": true,
    "include_market_cap": true,
    "include_total_reserve_in_usd": true,
    "mcap_fdv_fallback": true
  },
  "type": "http"
}
OutputJSON
{
  "example": {
    "data": {
      "attributes": {
        "h24_price_change_percentage": {
          "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "3.3870290336"
        },
        "h24_volume_usd": {
          "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "965988358.733808"
        },
        "last_trade_timestamp": {
          "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": 1711356300
        },
        "market_cap_usd": {
          "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "6692452895.779648"
        },
        "token_prices": {
          "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "2289.33"
        },
        "total_reserve_in_usd": {
          "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1576179559.94669772339136684208"
        }
      },
      "id": "1ba898f0-eda2-4291-9491-9a5b323f66ef",
      "type": "simple_token_price"
    }
  },
  "type": "json"
}